<div class="app-waiting-room-container">
  <div class="d-flex align-items-center">
    <div class="flex-fill">
      <h4 style="color: #1c1b1b;">Waiting Room</h4>
    </div>
    <div class="search-grid-input-container">
      <mat-icon class="search-icon">search</mat-icon>
      <input type="text" class="search-grid-input" placeholder="Search" spellcheck="false" (input)="onFilter($event.target.value)" />
    </div>
  </div>
  <kendo-grid class="waiting-room-grid" [data]="gridView" [pageSize]="pageSize" [skip]="skip" [pageable]="true"
              [columnMenu]="false"
              [filterable]="false"
              (dataStateChange)="dataStateChange($event)" [groupable]="false"
              [reorderable]="reorder" [sortable]="sortable" [sort]="sort" (sortChange)="sortChange($event)"
              (groupChange)="groupChange($event)">

    <kendo-grid-column field="patientName" title="Patient" [width]="100">
      <ng-template kendoGridCellTemplate let-dataItem>
        <a [routerLink]="'/patients/edit/'+dataItem.patientId">{{ dataItem.patientName}}</a>
      </ng-template>
    </kendo-grid-column>

    <kendo-grid-column field="waitingTimeStartUTCFormatted" title="Waiting Time" [width]="100">
      <ng-template kendoGridCellTemplate let-dataItem let-rowIndex="rowIndex">
        {{getWaitingTime(dataItem)}}
      </ng-template>
    </kendo-grid-column>

    <kendo-grid-column field="patientMobileNumber" title="Mobile" [width]="100">
    </kendo-grid-column>

    <kendo-grid-column field="practitionerName" title="Practitioner" [width]="100">
    </kendo-grid-column>

    <kendo-grid-column field="startDateUTCFormatted" title="Appointment" [width]="100">
      <ng-template kendoGridCellTemplate let-dataItem let-rowIndex="rowIndex">
        <a class="cursor-pointer" (click)="onEditAppt(dataItem.startDateUTC)">{{ dataItem.startDateUTCFormatted }}</a>
      </ng-template>
    </kendo-grid-column>


    <kendo-grid-column field="offerings" title="Offerings" [width]="100">
      <ng-template kendoGridCellTemplate let-dataItem let-rowIndex="rowIndex">
        <div *ngFor="let offering of dataItem.offerings">
          <span>{{offering.code}}</span>
          -
          <span>{{offering.name}}</span>
        </div>
      </ng-template>
    </kendo-grid-column>

    <kendo-grid-column *appAccess="APPT_BASIC; lookFor: 'E'" title="Action" [width]="80">
      <ng-template kendoGridCellTemplate let-dataItems let-rowIndex="rowIndex">
        <button class="item-setting-btn border-0 bg-transparent cursor-pointer"
                id="action_{{dataItems.id}}" (click)="openApptActionPopup(dataItems, $event)">
          <mat-icon class="m-0" style="color: #979797;">settings</mat-icon>
        </button>
      </ng-template>
    </kendo-grid-column>
  </kendo-grid>
</div>

<dx-popover #actionPopup class="sdlr_popup" position="top" [width]="176" [height]="'auto'"
            [shading]="false" [position]="{my: 'right top', at: 'right bottom'}">
  <div *dxTemplate="let data of 'content'">
    <button class="prctioner-filter-button text-left" (click)="doAction(DISMISSED)">
      Dismiss
    </button>
    <button class="prctioner-filter-button text-left" (click)="doAction(SEND_SMS)">
      Send SMS
    </button>
  </div>
</dx-popover>
